XScreenSaver(1)

NAME
rubikblocks - animates the Rubik's Mirror Blocks puzzle

SYNOPSIS
rubikblocks [-display host:display.screen] [-visual visual] [-window] [-root] [-install] [-delay microseconds] [-texture] [-no-texture] [-mono] [-wireframe] [-spin] [-no-spin] [-wander] [-no-wander] [-randomize] [-no-randomize] [-spinspeed number] [-rotspeed number] [-wanderspeed number] [-wait number] [-cubesize number] [-fps]

DESCRIPTION
This program animates a puzzle called Rubik's Mirror Blocks. The moves are chosen randomly.

OPTIONS
rubikblocks accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-delay microseconds
    How long to pause between frames. Default is 20000, or 0.02 second.

-texture
    Use texture maps. This is the default.

-no-texture
    Use solid colors. Looks a bit weird.

-mono
    Disable both texture maps and colors. Ditto.

-wireframe
    Only draw outlines. Outlines of each piece, not only the whole object, are drawn.

-spin
    Spin the whole object around X, Y and Z axes. This is the default.

-no-spin
    Do not spin, stay in the same tilt all the time.

-wander
    Move the object around the screen. This is the default.

-no-wander
    Keep the object centered on the screen.

-randomize
    Shuffle the puzzle randomly at startup. This is the default.

-no-randomize
    Do not shuffle at startup, begin at the shape of cube.

-spinspeed number
    The relative speed of spinning. Default is 1.0.

-rotspeed number
    The relative speed of the moves. Default is 3.0. Setting to ≤ 0.0 makes the object stay at one configuration.

-wanderspeed number
    The relative speed of wandering around the screen. Default is 0.02.

-wait number
    How long to stay at final position after each move. The meaning of the argument is again relative. Default is 40.0.

-cubesize number
    Size of the object. Value of 3.0 fills roughly all the screen.

-fps
    Display the current frame rate, CPU load, and polygon count.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2009 by Vasek Potocek. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Vasek Potocek <vasek.potocek@post.cz>, 04-Feb-09.